//
//  BooruImage.h
//  cunnyfinder
//
//  Created by James Shiffer on 12/20/22.
//  Copyright © 2022 FemboyFinancial. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface BooruImage : NSObject

@property NSDictionary<NSString*, NSString*>* metadata;

-(id)init:(NSDictionary<NSString*, NSString*> *)metadata;
-(int)width;
-(int)height;
-(int)previewWidth;
-(int)previewHeight;
-(int)sampleWidth;
-(int)sampleHeight;
-(bool)hasSample;
-(NSURL *)fileUrl;
-(NSURL *)previewUrl;
-(NSURL *)sampleUrl;

@end
