//
//  ClickableImageView.h
//  cunnyfinder
//
//  Created by James Shiffer on 12/20/22.
//  Copyright © 2022 FemboyFinancial. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@interface ClickableImageView : NSImageView

@property NSURL* fileUrl;

-(id)initWithFrame:(NSRect)frame imageUrl:(NSURL *)fileUrl;
-(void)mouseDown:(NSEvent *)event;
-(void)downloadImage:(NSString *)filePath;
-(void)downloadAndSaveImage:(NSString *)filePath;
-(void)showWarning:(id)sender;

@end
